//
//  TKListViewLinearLayout_Internal.h
//  TelerikUI
//
//  Copyright (c) 2015 Telerik. All rights reserved.
//

#import "TKListViewLinearLayout.h"

@class TKListViewCell;

@interface TKListViewLinearLayout()

@property (nonatomic, strong) NSMutableDictionary *itemAttributes;

@property (nonatomic, strong) NSMutableArray *itemAttributesArray;

@property (nonatomic, strong) NSMutableArray *headerAttributes;

@property (nonatomic, strong) NSMutableArray *footerAttributes;

@property (nonatomic) CGRect contentFrame;

@property (nonatomic, strong) NSMutableArray *deleteIndexPaths;

@property (nonatomic, strong) NSMutableArray *insertIndexPaths;

- (void)initLayout;

- (void)initSectionLayout;

- (CGPoint)updateLocationAtSectionEnd:(CGPoint)currentLocation;

- (CGRect)alignItemInRect:(CGRect)rect proposedSize:(CGSize)proposedSize;

- (void)animateOnScroll:(TKListViewCell*)cell directionIsForward:(BOOL)isForward;

- (void)moveItem:(NSIndexPath*)itemIndexPath toToIndexPath:(NSIndexPath*)newItemIndexPath;

- (void)endItemMove;

- (NSArray*)originalLayoutAttributesForRect:(CGRect)rect;

- (UICollectionViewLayoutAttributes*)originalLayoutAttributesForItemAtIndexPath:(NSIndexPath*)indexPath;

- (CGSize)getItemSizeForIndexPath:(NSIndexPath*)indexPath;

- (BOOL)shouldMeasure:(NSIndexPath*)indexPath;

@end